package com.unis.emergencySupportCenter.config;

import com.github.xiaoymin.knife4j.spring.extension.OpenApiExtensionResolver;
import com.unis.common.pojo.CommonResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.RequestMethod;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-06-28 9:49
 */
@Configuration
public class EmergencySupportCenterConfigure {
    @Resource
    private OpenApiExtensionResolver openApiExtensionResolver;

    @Bean(value = "emergencySupportCenterDocApi")
    public Docket emergencySupportCenterDocApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(new ApiInfoBuilder()
                        .title("应急保障中心")
                        .description("应急保障中心API")
                        .termsOfServiceUrl("https://www.xiaonuo.vip")
                        .contact(new Contact("UNIS_TEAM", "https://www.xiaonuo.vip", "xuyuxiang29@foxmail.com"))
                        .version("2.20.0")
                        .build())
                .globalResponseMessage(RequestMethod.GET, CommonResult.responseList())
                .globalResponseMessage(RequestMethod.POST, CommonResult.responseList())
                .groupName("应急保障中心")
                .select()
                .apis(RequestHandlerSelectors.withMethodAnnotation(ApiOperation.class))
                .apis(RequestHandlerSelectors.basePackage("com.unis.emergencySupportCenter"))
                .paths(PathSelectors.any())
                .build().extensions(openApiExtensionResolver.buildExtensions("应急保障中心"));
    }
}
